Vector BLF: Vector::BLF::LinSyncError2 Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::LinSyncError2 Struct Referencefinal

LIN_SYN_ERROR2. More...

`#include <LinSyncError2.h>`

Inheritance diagram for Vector::BLF::LinSyncError2:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const
Public Member Functions inherited from Vector::BLF::LinSynchFieldEvent
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
| LinBusEvent (const LinBusEvent &)=default
LinBusEvent & | operator= (const LinBusEvent &)=default
| LinBusEvent (LinBusEvent &&)=default
LinBusEvent & | operator= (LinBusEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
std::array< uint16_t, 4 > | timeDiff {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type
Public Attributes inherited from Vector::BLF::LinSynchFieldEvent
uint64_t | synchBreakLength {}
| Sync Break Length in ns.
uint64_t | synchDelLength {}
| Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t | sof {}
| Start Of Frame timestamp.
uint32_t | eventBaudrate {}
| Baudrate of the event in bit/sec.
uint16_t | channel {}
| application channel
uint16_t | reservedLinBusEvent {}

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

LIN_SYN_ERROR2.

Synchronization errors occur if the LIN hardware cannot synchronize with an external Master. This might happen if the baud rate actually used by the Master deviates by more than 15 % from the baud rate specified by the LIN hardware. In this case the baud rate value should be modified. This error event may also occur if the Master transmits an invalid or corrupted Sync field.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinSyncError2::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::LinBusEvent.

## ◆ read()

void Vector::BLF::LinSyncError2::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::LinBusEvent.

## ◆ write()

void Vector::BLF::LinSyncError2::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::LinBusEvent.

## Member Data Documentation

## ◆ timeDiff

std::array<uint16_t, 4> Vector::BLF::LinSyncError2::timeDiff {}

Time intervals [in us] detected between the falling signal edges of the Sync field

The documentation for this struct was generated from the following files:

- LinSyncError2.h
- LinSyncError2.cpp